### 2.11 `cexp`, `cexpf`—complex base-e exponential

Synopsis

         #include <complex.h>
         double complex cexp(double complex z);
         float complex cexpf(float complex z);

Description
These functions compute the complex base-e exponential of z.

`cexpf` is identical to `cexp`, except that it performs its calculations on `floats complex`.

Returns
The cexp functions return the complex base-e exponential value.

Portability
`cexp` and `cexpf` are ISO C99